Subject: Re: [PATCH 1/1] network memory allocator.

From: Christoph Hellwig <[email-masked]>
Date: Wed, 16 Aug 2006 10:44:31 +0100

On Wed, Aug 16, 2006 at 02:40:08AM -0700, David Miller wrote:
> From: Christoph Hellwig <[email-masked]>
> Date: Wed, 16 Aug 2006 10:38:37 +0100
> 
> > We could, but I'd rather waste 4 bytes in struct net_device than
> > having such ugly warts in common code.
> 
> Why not instead have struct device store some default node value?
> The node decision will be sub-optimal on non-pci but it won't crash.

Right now we don't even have the node stored in the pci_dev structure but
only arch-specific accessor functions/macros.  We could change those to
take a struct device instead and make them return -1 for everything non-pci
as we already do in architectures that don't support those helpers.  -1
means 'any node' for all common allocators.